#!/bin/bash
## Script zum Downgrade von openSUSE_Tumbleweed zu openSUSE_Slowroll
# (c) GPL by Ulf Bartholomäus ub1x@gmx.net
VERSION="$( basename $0 ) Version 1.0.1 from 14.10.2024"

LogFile=LogFile.txt

echo -e "*** Entferne alte openSUSE_Tumbleweed Repositories" | tee ${LogFile}
rm /etc/zypp/repos.d/* | tee ${LogFile}

echo -e "*** Erstelle neue openSUSE_Slowroll Repositories" | tee ${LogFile}
echo -e "*** Basiert auf https://de.opensuse.org/openSUSE:Slowroll 23. November 2023 / 18:55 Uhr !!!" | tee ${LogFile}
zypper ar --refresh http://cdn.opensuse.org/slowroll/repo/oss/ base-oss | tee ${LogFile}
zypper ar --refresh http://cdn.opensuse.org/slowroll/repo/non-oss/ base-non-oss | tee ${LogFile}
zypper ar --refresh -p 80 http://cdn.opensuse.org/update/slowroll/repo/oss/ update | tee ${LogFile}
zypper ar --refresh --disable http://cdn.opensuse.org/slowroll/repo/src-oss/ base-src-oss | tee ${LogFile}
zypper ar --refresh http://codecs.opensuse.org/openh264/openSUSE_Tumbleweed/ h264 | tee ${LogFile}
zypper ar --refresh -p 70 http://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Slowroll/Essentials/ packman | tee ${LogFile}

echo -e "*** Noch mal alle Repositories auf den aktuellsten Stand bringen" | tee ${LogFile}
zypper ref | tee ${LogFile}

echo -e "*** Vorbereitungen abgeschlossen und nun alles aktualisieren auf openSUSE_Slowroll" | tee ${LogFile}
zypper dup --download-in-advance --allow-vendor-change | tee ${LogFile}

echo -e "*** Prüfen, welche Config-Files geändert wurden (.rpmsave) und welche manuell geändert werden sollten (.rpmnew)" | tee ${LogFile}
rpmconfigcheck | tee ${LogFile}

echo -e "*** Prüfen, welche Dienste neu gestartet werden sollten, bzw. ob ein Reboot erforderlich ist" | tee ${LogFile}
zypper ps -s | tee ${LogFile}
